GNU logs - #8132, boring messages


Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#8132: 23.1; comint shell replaces \ in paths with /
Resent-From: Zeljko Vrba <zvrba.external@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 27 Feb 2011 13:47:02 +0000
Resent-Message-ID: <handler.8132.B.129881437128565 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 8132
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 8132 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.129881437128565
          (code B ref -1); Sun, 27 Feb 2011 13:47:02 +0000
Received: (at submit) by debbugs.gnu.org; 27 Feb 2011 13:46:11 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ptgws-0007Qg-59
	for submit <at> debbugs.gnu.org; Sun, 27 Feb 2011 08:46:11 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <zvrba.external@HIDDEN>) id 1Ptgek-0006zl-Iw
	for submit <at> debbugs.gnu.org; Sun, 27 Feb 2011 08:27:27 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <zvrba.external@HIDDEN>) id 1Ptgee-00009D-A1
	for submit <at> debbugs.gnu.org; Sun, 27 Feb 2011 08:27:21 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_DKIM_INVALID
	autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:43523)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <zvrba.external@HIDDEN>) id 1Ptgee-000096-5f
	for submit <at> debbugs.gnu.org; Sun, 27 Feb 2011 08:27:20 -0500
Received: from [140.186.70.92] (port=59604 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1Ptgec-0003xl-T0
	for bug-gnu-emacs@HIDDEN; Sun, 27 Feb 2011 08:27:20 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <zvrba.external@HIDDEN>) id 1Ptgea-00006w-UQ
	for bug-gnu-emacs@HIDDEN; Sun, 27 Feb 2011 08:27:18 -0500
Received: from mail102.csoft.net ([205.205.219.4]:61841)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <zvrba.external@HIDDEN>) id 1Ptgea-000067-GP
	for bug-gnu-emacs@HIDDEN; Sun, 27 Feb 2011 08:27:16 -0500
Received: from mail102.csoft.net (localhost [127.0.0.1])
	by mail102.csoft.net (Postfix) with ESMTP id D37513EEFA2F
	for <bug-gnu-emacs@HIDDEN>; Sun, 27 Feb 2011 08:27:14 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=csoft.net; h=message-id
	:date:from:mime-version:to:subject:content-type; s=sel1; bh=R3PY
	8vnmYJQi1LNTdo9JFHt741A=; b=MKuQuOD4U0WUQu/LuWqm+4TZQdsJ4J0+2zjr
	PDfNvrTM8janzKK+GD/hBgwmyAq2D7pixjii68NHUtmO4/UboR8HxZLCYKccMVmN
	qWEV5KA4KN8KmSbcQ/NXJzduH6FuxAT9fMnrrmmiMtBDywHNBaH6X+WHKLOmv+4d
	U1+RM30=
Received: from [192.168.10.100] (179.79-161-197.customer.lyse.net
	[79.161.197.179])
	(using TLSv1 with cipher DHE-RSA-CAMELLIA256-SHA (256/256 bits))
	(No client certificate requested)
	by mail102.csoft.net (Postfix) with ESMTPSA id 656273EEF9CE
	for <bug-gnu-emacs@HIDDEN>; Sun, 27 Feb 2011 08:27:14 -0500 (EST)
Message-ID: <4D6A5130.1040107@HIDDEN>
Date: Sun, 27 Feb 2011 14:27:12 +0100
From: Zeljko Vrba <zvrba.external@HIDDEN>
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US;
	rv:1.9.1.9) Gecko/20100317 Thunderbird/3.0.4
MIME-Version: 1.0
Content-Type: multipart/signed; protocol="application/pkcs7-signature";
	micalg=sha1; boundary="------------ms090707080103090903060900"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Received-From: 199.232.76.165
X-Spam-Score: -5.9 (-----)
X-Mailman-Approved-At: Sun, 27 Feb 2011 08:46:09 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.9 (-----)

This is a cryptographically signed message in MIME format.

--------------ms090707080103090903060900
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: quoted-printable

*** E-Mail body has been placed on clipboard, please paste them here! ***=


On Windows 7 (64-bit mod), run M-x shell, and try to do any filename=20
expansion.  All backslashes (even
manually typed!) are converted to forward slashes upon tab-expansion.



In GNU Emacs 23.1.1 (i386-mingw-nt6.1.7600)
  of 2009-07-30 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 6.1.7600
configured using `configure --with-gcc (4.4)'

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: ENU
   value of $XMODIFIERS: nil
   locale-coding-system: cp1252
   default-enable-multibyte-characters: t

Major mode: Buffer Menu

Minor modes in effect:
   shell-dirtrack-mode: t
   tooltip-mode: t
   tool-bar-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   global-auto-composition-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   column-number-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent input:
<return> <help-echo> <help-echo> <down-mouse-1> <help-echo>
<down-mouse-1> <mouse-1> C-x k <return> <help-echo>
<down-mouse-1> <mouse-1> C-x 1 <help-echo> M-x c u
s t SPC - g r o SPC <return> c o m i t <backspace>
SPC <return> <mouse-1> <mouse-1> <mouse-1> <mouse-1>
<mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1>
<mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1>
<mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1>
<mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1>
<mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1>
<mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1>
<mouse-1> <mouse-1> <mouse-1> <help-echo> <help-echo>
<down-mouse-1> <mouse-2> <help-echo> <down-mouse-1>
<mouse-1> <down-mouse-1> <mouse-1> <help-echo> <help-echo>
<help-echo> <down-mouse-1> <mouse-1> <help-echo> C-z
C-x k <return> C-x C-b C-x o <down> <down> <return>
<help-echo> C-x 1 <down-mouse-1> <mouse-1> <mouse-1>
<mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1>
<mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1>
<mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1>
<mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1>
<mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1>
<mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1>
<mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1>
<help-echo> C-x k C-g <return> <down-mouse-1> <mouse-2>
<help-echo> <help-echo> C-x k <return> C-x k <return>
C-x C-b <up> <up> <return> c : \ u <tab> s <tab> \
z v <tab> <backspace> <backspace> <backspace> <backspace>
' z <backspace> <backspace> \ z <tab> <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> > <return>
<return> C-x 1 c : \ u s e r s \ z v r b a \ l u a
j <tab> <C-left> <C-left> <C-left> <C-left> <C-left>
<C-left> <C-left> C-e l <backspace> s r c / l u a j
i t . e x e <return> <return> <return> C-g C-g <help-echo>
<down-mouse-1> <mouse-1> M-p <return> <return> <return>
=3D SPC 2 + 3 <return> C-x k <return> <down-mouse-1>
<M-mouse-1> M-x r e p o SPC r t SPC e m a SPC b u SPC
<return>

Recent messages:
Completed
Completing file name...
No completions of /zv
Completing file name...
Completed
Completing file name...
Completed
Quit [2 times]
History item: 1
Making completion list...


--------------ms090707080103090903060900
Content-Type: application/pkcs7-signature; name="smime.p7s"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="smime.p7s"
Content-Description: S/MIME Cryptographic Signature
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--------------ms090707080103090903060900--




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.427 (Entity 5.427)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Zeljko Vrba <zvrba.external@HIDDEN>
Subject: bug#8132: Acknowledgement (23.1; comint shell replaces \ in paths
 with /)
Message-ID: <handler.8132.B.129881437128565.ack <at> debbugs.gnu.org>
References: <4D6A5130.1040107@HIDDEN>
X-Gnu-PR-Message: ack 8132
X-Gnu-PR-Package: emacs
Reply-To: 8132 <at> debbugs.gnu.org
Date: Sun, 27 Feb 2011 13:47:02 +0000

Thank you for filing a new bug report with GNU.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 8132 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
8132: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D8132
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#8132: 23.1; comint shell replaces \ in paths with /
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 28 Feb 2011 03:33:02 +0000
Resent-Message-ID: <handler.8132.B8132.129886394016496 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 8132
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Zeljko Vrba <zvrba.external@HIDDEN>
Cc: 8132 <at> debbugs.gnu.org
Received: via spool by 8132-submit <at> debbugs.gnu.org id=B8132.129886394016496
          (code B ref 8132); Mon, 28 Feb 2011 03:33:02 +0000
Received: (at 8132) by debbugs.gnu.org; 28 Feb 2011 03:32:20 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PttqN-0004I1-Mu
	for submit <at> debbugs.gnu.org; Sun, 27 Feb 2011 22:32:19 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.183]
	helo=ironport2-out.pppoe.ca)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1PttqL-0004Hp-Ml
	for 8132 <at> debbugs.gnu.org; Sun, 27 Feb 2011 22:32:17 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AvsEAMOlak1FxKsT/2dsb2JhbACmQ3W6TIVhBIUQj18
X-IronPort-AV: E=Sophos;i="4.62,237,1297054800"; d="scan'208";a="93759292"
Received: from 69-196-171-19.dsl.teksavvy.com (HELO ceviche.home)
	([69.196.171.19])
	by ironport2-out.pppoe.ca with ESMTP/TLS/ADH-AES256-SHA;
	27 Feb 2011 22:32:12 -0500
Received: by ceviche.home (Postfix, from userid 20848)
	id E9E95660D6; Sun, 27 Feb 2011 22:32:11 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
Message-ID: <jwvaahg6diy.fsf-monnier+emacs@HIDDEN>
References: <4D6A5130.1040107@HIDDEN>
Date: Sun, 27 Feb 2011 22:32:11 -0500
In-Reply-To: <4D6A5130.1040107@HIDDEN> (Zeljko Vrba's message of "Sun, 27
	Feb 2011 14:27:12 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.1 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

> On Windows 7 (64-bit mod), run M-x shell, and try to do any filename
> expansion.  All backslashes (even
> manually typed!) are converted to forward slashes upon tab-expansion.

Yes, that's the expected behavior.  Could you explain why it's
a problem?


        Stefan




Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#8132: 23.1; comint shell replaces \ in paths with /
Resent-From: Zeljko Vrba <zvrba.external@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 28 Feb 2011 15:06:01 +0000
Resent-Message-ID: <handler.8132.B8132.129890555316683 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 8132
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Stefan Monnier <monnier@HIDDEN>
Cc: 8132 <at> debbugs.gnu.org
Received: via spool by 8132-submit <at> debbugs.gnu.org id=B8132.129890555316683
          (code B ref 8132); Mon, 28 Feb 2011 15:06:01 +0000
Received: (at 8132) by debbugs.gnu.org; 28 Feb 2011 15:05:53 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Pu4fY-0004L1-HZ
	for submit <at> debbugs.gnu.org; Mon, 28 Feb 2011 10:05:53 -0500
Received: from mail102.csoft.net ([205.205.219.4])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <zvrba.external@HIDDEN>) id 1Pu4ZC-0004Bt-Mz
	for 8132 <at> debbugs.gnu.org; Mon, 28 Feb 2011 09:59:19 -0500
Received: from mail102.csoft.net (localhost [127.0.0.1])
	by mail102.csoft.net (Postfix) with ESMTP id E36C23EF0832;
	Mon, 28 Feb 2011 09:59:12 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=csoft.net; h=message-id
	:date:from:mime-version:to:cc:subject:references:in-reply-to
	:content-type; s=sel1; bh=7ZMKyv+Y1VhuxvZU1nO9uGyxO5Y=; b=BkTDSu
	OGCGiSBgjwnowna1V8ifE1zIFPhfAI2UuzB/nLyeEy5pPV/kI7gr7j4hJ6UeWUX+
	7lMjopcrsVEC/PdipWZ2EpKlbCBSVxUON3n9ciFISMt2ZV2U0y67OwvWeNXOwXgs
	Y1pbTU1D+v4d2J0KBWypVUILi1Kw9vSuN9T+0=
Received: from [192.168.10.100] (179.79-161-197.customer.lyse.net
	[79.161.197.179])
	(using TLSv1 with cipher DHE-RSA-CAMELLIA256-SHA (256/256 bits))
	(No client certificate requested)
	by mail102.csoft.net (Postfix) with ESMTPSA id 58E713EF081E;
	Mon, 28 Feb 2011 09:59:11 -0500 (EST)
Message-ID: <4D6BB83B.20507@HIDDEN>
Date: Mon, 28 Feb 2011 15:59:07 +0100
From: Zeljko Vrba <zvrba.external@HIDDEN>
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US;
	rv:1.9.1.9) Gecko/20100317 Thunderbird/3.0.4
MIME-Version: 1.0
References: <4D6A5130.1040107@HIDDEN>
	<jwvaahg6diy.fsf-monnier+emacs@HIDDEN>
In-Reply-To: <jwvaahg6diy.fsf-monnier+emacs@HIDDEN>
Content-Type: multipart/signed; protocol="application/pkcs7-signature";
	micalg=sha1; boundary="------------ms040001070904020108030503"
X-Spam-Score: -4.3 (----)
X-Mailman-Approved-At: Mon, 28 Feb 2011 10:05:50 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.7 (---)

This is a cryptographically signed message in MIME format.

--------------ms040001070904020108030503
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: quoted-printable

On 2011-02-28 4:32 AM, Stefan Monnier wrote:
>> On Windows 7 (64-bit mod), run M-x shell, and try to do any filename
>> expansion.  All backslashes (even
>> manually typed!) are converted to forward slashes upon tab-expansion.
>
> Yes, that's the expected behavior.  Could you explain why it's
> a problem?
>
It is a problem because commands built in to cmd.exe (and also external=20
commands) interpret slash as a command-line switch character.  So you=20
end up with the following situation:

--> comint expanded \ to / : del ../lpeg-0.10.2/re.html
Invalid switch - "lpeg-0.10.2".

In short, it breaks all native windows command-line tools.

Best regards,
   Zeljko.


--------------ms040001070904020108030503
Content-Type: application/pkcs7-signature; name="smime.p7s"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="smime.p7s"
Content-Description: S/MIME Cryptographic Signature

MIAGCSqGSIb3DQEHAqCAMIACAQExCzAJBgUrDgMCGgUAMIAGCSqGSIb3DQEHAQAAoIIKgDCC
BTwwggMkoAMCAQICAwjPNzANBgkqhkiG9w0BAQUFADB5MRAwDgYDVQQKEwdSb290IENBMR4w
HAYDVQQLExVodHRwOi8vd3d3LmNhY2VydC5vcmcxIjAgBgNVBAMTGUNBIENlcnQgU2lnbmlu
ZyBBdXRob3JpdHkxITAfBgkqhkiG9w0BCQEWEnN1cHBvcnRAY2FjZXJ0Lm9yZzAeFw0xMDA2
MjAxNzE0NThaFw0xMjA2MTkxNzE0NThaMD8xFDASBgNVBAMTC1plbGprbyBWcmJhMScwJQYJ
KoZIhvcNAQkBFhh6dnJiYS5leHRlcm5hbEB6dnJiYS5uZXQwggEiMA0GCSqGSIb3DQEBAQUA
A4IBDwAwggEKAoIBAQC+X+GPdp623Hy36C9Urv4zZVUHR64+kTA3QxdffHE3hKiuC4HJUk3i
WdXOoYoY0JwAA1hMFds5GAOo3knTBLGygpVSviobN2/flPGVo1syOnYA/Cpxwx0Y1FbjkQZi
5pRMRtE0tHVCVWwFeH5cSl4euLxKwkwsKel/XgN4o68INARpTgpKvvk7q7cWos5G/t3K5uuZ
xVE6pC7b019xagPaCE9faIY5EuFkPyU4w86wYMpXFo1+RZJlfWbzxH4yS7PdS4HjdX+L+SeS
u+Hm3MBII/wR/3cApAegpL4Y5tZKG+LKGGCnA7RQWbzF9A7rbG6E9PWrcl/ZGNWoS61p9d/l
AgMBAAGjggEFMIIBATAMBgNVHRMBAf8EAjAAMFYGCWCGSAGG+EIBDQRJFkdUbyBnZXQgeW91
ciBvd24gY2VydGlmaWNhdGUgZm9yIEZSRUUgaGVhZCBvdmVyIHRvIGh0dHA6Ly93d3cuQ0Fj
ZXJ0Lm9yZzBABgNVHSUEOTA3BggrBgEFBQcDBAYIKwYBBQUHAwIGCisGAQQBgjcKAwQGCisG
AQQBgjcKAwMGCWCGSAGG+EIEATAyBggrBgEFBQcBAQQmMCQwIgYIKwYBBQUHMAGGFmh0dHA6
Ly9vY3NwLmNhY2VydC5vcmcwIwYDVR0RBBwwGoEYenZyYmEuZXh0ZXJuYWxAenZyYmEubmV0
MA0GCSqGSIb3DQEBBQUAA4ICAQDBPwdSKb46ayCqGF0E+n+OQ5Kg91HIBXn+UukgEYYOvW+V
XQeiCF5Br/IGkFyD9pqkPEqs0vLtglAMcDNQWzmdMd257ws2L9ji9nq1McquhlCO4XVUhq5v
YlVZclNjih8mNJqYEvQN4y9qjebMA2Wq5BfQs6xbeK942arXl+Vdpv2ZgXM62z+iZBNmYb1F
5Sc0NjuG700eVmQSTTM/aHEpbD5rqKXjUkQJ3V4DXrL5Ag8Lu+3F6d7ZtWScPhH7fTWoTmoS
ABxznltSSSGfAgD1fY4uCb/LI3LolF35vsfiEQZmPt7NceBGRrvfm0mSnp3riuVB8Z0Hqghn
iDlKBQbswA0zUMRn2gQC0wJnqakx4GqHCcVvz/CSSosqSsp4OYxJwpYTOBS3QqTc08pe4uvY
UEZCWYUTLeLC021Na75AOv+KSrOLFnFV0U5TCsdtjTB9eDsTFXzOd/WBfeQ4rDFwmpYZmboR
oWvw55OGk3VQCZfUNXiqagSaFKpzf2IpCQccNTht0bFsy+4RqBW3o+aGRHXkeIAb4NG/lV18
GENQezi6S0mcIgTiQtgMAX8Cjcgm7mDDQTXVTHSdWSquqvEvPPz8Da6Wh+nDRCAYS46BjQtO
PA0FzjU7acWYdKJlAw0lNpq2wTuzWBzcD8Q6P4LkhdtIMf0PZjehvSPm6KO+MjCCBTwwggMk
oAMCAQICAwjPNzANBgkqhkiG9w0BAQUFADB5MRAwDgYDVQQKEwdSb290IENBMR4wHAYDVQQL
ExVodHRwOi8vd3d3LmNhY2VydC5vcmcxIjAgBgNVBAMTGUNBIENlcnQgU2lnbmluZyBBdXRo
b3JpdHkxITAfBgkqhkiG9w0BCQEWEnN1cHBvcnRAY2FjZXJ0Lm9yZzAeFw0xMDA2MjAxNzE0
NThaFw0xMjA2MTkxNzE0NThaMD8xFDASBgNVBAMTC1plbGprbyBWcmJhMScwJQYJKoZIhvcN
AQkBFhh6dnJiYS5leHRlcm5hbEB6dnJiYS5uZXQwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAw
ggEKAoIBAQC+X+GPdp623Hy36C9Urv4zZVUHR64+kTA3QxdffHE3hKiuC4HJUk3iWdXOoYoY
0JwAA1hMFds5GAOo3knTBLGygpVSviobN2/flPGVo1syOnYA/Cpxwx0Y1FbjkQZi5pRMRtE0
tHVCVWwFeH5cSl4euLxKwkwsKel/XgN4o68INARpTgpKvvk7q7cWos5G/t3K5uuZxVE6pC7b
019xagPaCE9faIY5EuFkPyU4w86wYMpXFo1+RZJlfWbzxH4yS7PdS4HjdX+L+SeSu+Hm3MBI
I/wR/3cApAegpL4Y5tZKG+LKGGCnA7RQWbzF9A7rbG6E9PWrcl/ZGNWoS61p9d/lAgMBAAGj
ggEFMIIBATAMBgNVHRMBAf8EAjAAMFYGCWCGSAGG+EIBDQRJFkdUbyBnZXQgeW91ciBvd24g
Y2VydGlmaWNhdGUgZm9yIEZSRUUgaGVhZCBvdmVyIHRvIGh0dHA6Ly93d3cuQ0FjZXJ0Lm9y
ZzBABgNVHSUEOTA3BggrBgEFBQcDBAYIKwYBBQUHAwIGCisGAQQBgjcKAwQGCisGAQQBgjcK
AwMGCWCGSAGG+EIEATAyBggrBgEFBQcBAQQmMCQwIgYIKwYBBQUHMAGGFmh0dHA6Ly9vY3Nw
LmNhY2VydC5vcmcwIwYDVR0RBBwwGoEYenZyYmEuZXh0ZXJuYWxAenZyYmEubmV0MA0GCSqG
SIb3DQEBBQUAA4ICAQDBPwdSKb46ayCqGF0E+n+OQ5Kg91HIBXn+UukgEYYOvW+VXQeiCF5B
r/IGkFyD9pqkPEqs0vLtglAMcDNQWzmdMd257ws2L9ji9nq1McquhlCO4XVUhq5vYlVZclNj
ih8mNJqYEvQN4y9qjebMA2Wq5BfQs6xbeK942arXl+Vdpv2ZgXM62z+iZBNmYb1F5Sc0NjuG
700eVmQSTTM/aHEpbD5rqKXjUkQJ3V4DXrL5Ag8Lu+3F6d7ZtWScPhH7fTWoTmoSABxznltS
SSGfAgD1fY4uCb/LI3LolF35vsfiEQZmPt7NceBGRrvfm0mSnp3riuVB8Z0HqghniDlKBQbs
wA0zUMRn2gQC0wJnqakx4GqHCcVvz/CSSosqSsp4OYxJwpYTOBS3QqTc08pe4uvYUEZCWYUT
LeLC021Na75AOv+KSrOLFnFV0U5TCsdtjTB9eDsTFXzOd/WBfeQ4rDFwmpYZmboRoWvw55OG
k3VQCZfUNXiqagSaFKpzf2IpCQccNTht0bFsy+4RqBW3o+aGRHXkeIAb4NG/lV18GENQezi6
S0mcIgTiQtgMAX8Cjcgm7mDDQTXVTHSdWSquqvEvPPz8Da6Wh+nDRCAYS46BjQtOPA0FzjU7
acWYdKJlAw0lNpq2wTuzWBzcD8Q6P4LkhdtIMf0PZjehvSPm6KO+MjGCA5QwggOQAgEBMIGA
MHkxEDAOBgNVBAoTB1Jvb3QgQ0ExHjAcBgNVBAsTFWh0dHA6Ly93d3cuY2FjZXJ0Lm9yZzEi
MCAGA1UEAxMZQ0EgQ2VydCBTaWduaW5nIEF1dGhvcml0eTEhMB8GCSqGSIb3DQEJARYSc3Vw
cG9ydEBjYWNlcnQub3JnAgMIzzcwCQYFKw4DAhoFAKCCAegwGAYJKoZIhvcNAQkDMQsGCSqG
SIb3DQEHATAcBgkqhkiG9w0BCQUxDxcNMTEwMjI4MTQ1OTA3WjAjBgkqhkiG9w0BCQQxFgQU
uJCouV8yRh1+5TLPs6RgHEIM4OcwXwYJKoZIhvcNAQkPMVIwUDALBglghkgBZQMEAQIwCgYI
KoZIhvcNAwcwDgYIKoZIhvcNAwICAgCAMA0GCCqGSIb3DQMCAgFAMAcGBSsOAwIHMA0GCCqG
SIb3DQMCAgEoMIGRBgkrBgEEAYI3EAQxgYMwgYAweTEQMA4GA1UEChMHUm9vdCBDQTEeMBwG
A1UECxMVaHR0cDovL3d3dy5jYWNlcnQub3JnMSIwIAYDVQQDExlDQSBDZXJ0IFNpZ25pbmcg
QXV0aG9yaXR5MSEwHwYJKoZIhvcNAQkBFhJzdXBwb3J0QGNhY2VydC5vcmcCAwjPNzCBkwYL
KoZIhvcNAQkQAgsxgYOggYAweTEQMA4GA1UEChMHUm9vdCBDQTEeMBwGA1UECxMVaHR0cDov
L3d3dy5jYWNlcnQub3JnMSIwIAYDVQQDExlDQSBDZXJ0IFNpZ25pbmcgQXV0aG9yaXR5MSEw
HwYJKoZIhvcNAQkBFhJzdXBwb3J0QGNhY2VydC5vcmcCAwjPNzANBgkqhkiG9w0BAQEFAASC
AQCWYRNsjQKiU0kOn6g/Eo9eIHmMGlNcFrg8CJXFTYd2GJhK72ELK5ecu76zAD/JqVLrYq4L
IQYGn/4r9C+CmDet/5cE8vr8WuqlEpFBemZqdgvmdJelYodovz3xkhHajQk7cScDd3gKpIr5
7vjQo9lqtFdofNz5YurSxfU6OzVSh4n8I46aBz9bZ2Yu4d5ZjAXN58ofC52MHC3Na3s6Xdn5
Qo3MIpqU4iykV/pXf7X8ptwh3o2nvxGwZDPqrOLLXSaVcNn9PqaeIc5SC8dVwXYZlGqAb30N
vWmmSIz7Mfw5etfSucraYjNiSNLPDFqamzVwrMWqdxmCdWqumApMmlPdAAAAAAAA
--------------ms040001070904020108030503--




Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#8132: 23.1; comint shell replaces \ in paths with /
Resent-From: Lennart Borgman <lennart.borgman@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 28 Feb 2011 15:49:01 +0000
Resent-Message-ID: <handler.8132.B8132.129890809220328 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 8132
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Zeljko Vrba <zvrba.external@HIDDEN>
Cc: 8132 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
Received: via spool by 8132-submit <at> debbugs.gnu.org id=B8132.129890809220328
          (code B ref 8132); Mon, 28 Feb 2011 15:49:01 +0000
Received: (at 8132) by debbugs.gnu.org; 28 Feb 2011 15:48:12 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Pu5KU-0005Ho-Tm
	for submit <at> debbugs.gnu.org; Mon, 28 Feb 2011 10:48:11 -0500
Received: from mail-ew0-f44.google.com ([209.85.215.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lennart.borgman@HIDDEN>) id 1Pu5KS-0005Hb-6f
	for 8132 <at> debbugs.gnu.org; Mon, 28 Feb 2011 10:48:08 -0500
Received: by ewy9 with SMTP id 9so1355730ewy.3
	for <8132 <at> debbugs.gnu.org>; Mon, 28 Feb 2011 07:48:02 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:in-reply-to:references:from:date
	:message-id:subject:to:cc:content-type:content-transfer-encoding;
	bh=WUDg5lG6NBAdnpocLZCSyffs7vq7SnlPoy4sXmcu6H8=;
	b=qehMTGUjYi4nbwuQqH0l2cl331Uie9Tg2wGBOPs0mdc+noA1QOCjrJBSx7dX4zSvnx
	E7vPCTnFo4NpQ7FfHtF62belSWI5r8Ii7/mXIWGdq3mslTYT9FndcKzKr1YRW9srcN9Y
	YlupnFoCcVYkTHyurqLHQXk1TbK7m/e+0OPQY=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type:content-transfer-encoding;
	b=Qz1wAEGozVTzDjPRPUQP8rfWaqYl+Ge8P4Q3TB7PomDHLK1mSdOEIbmytBrNOPlsSv
	PMh/y7pbwUhv1LlOdiHS1khjkuubbrQ2paqxkFmbHnHr93vvTdL3fEwQe/86Gsqcx6VJ
	Kizflu3ZIMCTDndmNh0osMDqRuI89HDj5KfGI=
Received: by 10.213.30.13 with SMTP id s13mr1728639ebc.81.1298908082131; Mon,
	28 Feb 2011 07:48:02 -0800 (PST)
MIME-Version: 1.0
Received: by 10.213.108.136 with HTTP; Mon, 28 Feb 2011 07:47:42 -0800 (PST)
In-Reply-To: <4D6BB83B.20507@HIDDEN>
References: <4D6A5130.1040107@HIDDEN>
	<jwvaahg6diy.fsf-monnier+emacs@HIDDEN> <4D6BB83B.20507@HIDDEN>
From: Lennart Borgman <lennart.borgman@HIDDEN>
Date: Mon, 28 Feb 2011 16:47:42 +0100
Message-ID: <AANLkTim+dGjbFYpsyUsSapzF_o3P6Mi+tnNnvdk+FT2M@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -3.6 (---)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)

On Mon, Feb 28, 2011 at 3:59 PM, Zeljko Vrba <zvrba.external@HIDDEN> wro=
te:
> On 2011-02-28 4:32 AM, Stefan Monnier wrote:
>>>
>>> On Windows 7 (64-bit mod), run M-x shell, and try to do any filename
>>> expansion. =C2=A0All backslashes (even
>>> manually typed!) are converted to forward slashes upon tab-expansion.
>>
>> Yes, that's the expected behavior. =C2=A0Could you explain why it's
>> a problem?
>>
> It is a problem because commands built in to cmd.exe (and also external
> commands) interpret slash as a command-line switch character. =C2=A0So yo=
u end up
> with the following situation:
>
> --> comint expanded \ to / : del ../lpeg-0.10.2/re.html
> Invalid switch - "lpeg-0.10.2".
>
> In short, it breaks all native windows command-line tools.
>
> Best regards,
> =C2=A0Zeljko.

Does not most external commands recognize paths with / in them? Which
external commands does not do that?




Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#8132: 23.1; comint shell replaces \ in paths with /
Resent-From: Zeljko Vrba <zvrba.external@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 28 Feb 2011 17:49:02 +0000
Resent-Message-ID: <handler.8132.B8132.12989152853868 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 8132
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Lennart Borgman <lennart.borgman@HIDDEN>
Cc: 8132 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
Received: via spool by 8132-submit <at> debbugs.gnu.org id=B8132.12989152853868
          (code B ref 8132); Mon, 28 Feb 2011 17:49:02 +0000
Received: (at 8132) by debbugs.gnu.org; 28 Feb 2011 17:48:05 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Pu7CW-00010L-Nu
	for submit <at> debbugs.gnu.org; Mon, 28 Feb 2011 12:48:04 -0500
Received: from mail102.csoft.net ([205.205.219.4])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <zvrba.external@HIDDEN>) id 1Pu7Bz-0000z4-Pl
	for 8132 <at> debbugs.gnu.org; Mon, 28 Feb 2011 12:47:32 -0500
Received: from mail102.csoft.net (localhost [127.0.0.1])
	by mail102.csoft.net (Postfix) with ESMTP id DEE873EF14E2;
	Mon, 28 Feb 2011 12:47:25 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=csoft.net; h=message-id
	:date:from:mime-version:to:cc:subject:references:in-reply-to
	:content-type; s=sel1; bh=daspPAAJpM5XkOXE7WC8pdBMJ+A=; b=3DUyry
	UIkhUiDlJv9zEIAJxNRa9qABfgHgyEknR/jF3MTcsaUqztZa48E9Rb79lx9k0FcI
	s6/C2LHlMwCROiTtQqfsJoesmTB+bLmSUHjGhLyGR3Z7/TXz40NfBBWsEAmRPmJV
	OUNsAX7xzLdTEboeyYiQFjf6OUPtJelrczS5U=
Received: from [192.168.10.100] (179.79-161-197.customer.lyse.net
	[79.161.197.179])
	(using TLSv1 with cipher DHE-RSA-CAMELLIA256-SHA (256/256 bits))
	(No client certificate requested)
	by mail102.csoft.net (Postfix) with ESMTPSA id 2C71C3EF0883;
	Mon, 28 Feb 2011 12:47:25 -0500 (EST)
Message-ID: <4D6BDFAA.30508@HIDDEN>
Date: Mon, 28 Feb 2011 18:47:22 +0100
From: Zeljko Vrba <zvrba.external@HIDDEN>
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US;
	rv:1.9.1.9) Gecko/20100317 Thunderbird/3.0.4
MIME-Version: 1.0
References: <4D6A5130.1040107@HIDDEN>
	<jwvaahg6diy.fsf-monnier+emacs@HIDDEN> <4D6BB83B.20507@HIDDEN>
	<AANLkTim+dGjbFYpsyUsSapzF_o3P6Mi+tnNnvdk+FT2M@HIDDEN>
In-Reply-To: <AANLkTim+dGjbFYpsyUsSapzF_o3P6Mi+tnNnvdk+FT2M@HIDDEN>
Content-Type: multipart/signed; protocol="application/pkcs7-signature";
	micalg=sha1; boundary="------------ms060504070406030104070606"
X-Spam-Score: -3.4 (---)
X-Mailman-Approved-At: Mon, 28 Feb 2011 12:48:03 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.3 (---)

This is a cryptographically signed message in MIME format.

--------------ms060504070406030104070606
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable

On 2011-02-28 4:47 PM, Lennart Borgman wrote:
>
> Does not most external commands recognize paths with / in them? Which
> external commands does not do that?
 >
None of the most often used file-manipulation commands do. (See below=20
for a transcript). Yes, I know that NTFS in itself allows both / and \=20
as path separators, but, AFAIK, all native (i.e., not ported from unix)=20
command-line tools use / as switch.

C:\Users\zvrba>rmdir ../zvrba
Invalid switch - "zvrba".

C:\Users\zvrba>mkdir ../q
The syntax of the command is incorrect.

C:\Users\zvrba>del ../zvrba
Invalid switch - "zvrba".

C:\Users\zvrba>dir ../zvrba
Invalid switch - "zvrba".

C:\Users\zvrba>copy ../zvrba/.emacs.d/init.el .
The syntax of the command is incorrect.

C:\Users\zvrba>



--------------ms060504070406030104070606
Content-Type: application/pkcs7-signature; name="smime.p7s"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="smime.p7s"
Content-Description: S/MIME Cryptographic Signature
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--------------ms060504070406030104070606--




Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#8132: 23.1; comint shell replaces \ in paths with /
Resent-From: Lennart Borgman <lennart.borgman@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 28 Feb 2011 17:58:01 +0000
Resent-Message-ID: <handler.8132.B8132.12989158594693 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 8132
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Zeljko Vrba <zvrba.external@HIDDEN>
Cc: 8132 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
Received: via spool by 8132-submit <at> debbugs.gnu.org id=B8132.12989158594693
          (code B ref 8132); Mon, 28 Feb 2011 17:58:01 +0000
Received: (at 8132) by debbugs.gnu.org; 28 Feb 2011 17:57:39 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Pu7Ln-0001De-6m
	for submit <at> debbugs.gnu.org; Mon, 28 Feb 2011 12:57:39 -0500
Received: from mail-ew0-f44.google.com ([209.85.215.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lennart.borgman@HIDDEN>) id 1Pu7Ll-0001DS-1j
	for 8132 <at> debbugs.gnu.org; Mon, 28 Feb 2011 12:57:37 -0500
Received: by ewy9 with SMTP id 9so1406406ewy.3
	for <8132 <at> debbugs.gnu.org>; Mon, 28 Feb 2011 09:57:31 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:in-reply-to:references:from:date
	:message-id:subject:to:cc:content-type;
	bh=BQANZg32/MB1PVU/bpfGn3bR103VnyI+kwsroDrkTbU=;
	b=nHNnIAdIeiFUau0dPSqAF/5TrePJBxgvnG2VjO8RiFZVoBVbe80B6P3TNHOLBkAzYu
	d15gy7NqaUeKr4USq13dIE6QzPQcycBuH8XmTqMm9XrgPad8guXKwJH4Aku7j9gzNu7i
	tlrgHwOGOJv92TCSAV5xgWUdBqxEJAnVWpgkQ=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type;
	b=uVbH3qf5Dw3S0l8lasXOrGz+5cWzWXqjx9TQdYmuwTLuHbtU1Vo8j6BpT1Mv7xYqSB
	xwFxiy7lCXam0U6t3MQWJRAEoml52h6swz3YvFV/rHeODtZWM0gEz/qhaGLP3B8l0nnh
	be2bEmt2OCtvYacc77wibgxeNENIfj5w2XBdM=
Received: by 10.213.9.2 with SMTP id j2mr3763581ebj.68.1298915851103; Mon, 28
	Feb 2011 09:57:31 -0800 (PST)
MIME-Version: 1.0
Received: by 10.213.108.136 with HTTP; Mon, 28 Feb 2011 09:57:11 -0800 (PST)
In-Reply-To: <4D6BDFAA.30508@HIDDEN>
References: <4D6A5130.1040107@HIDDEN>
	<jwvaahg6diy.fsf-monnier+emacs@HIDDEN> <4D6BB83B.20507@HIDDEN>
	<AANLkTim+dGjbFYpsyUsSapzF_o3P6Mi+tnNnvdk+FT2M@HIDDEN>
	<4D6BDFAA.30508@HIDDEN>
From: Lennart Borgman <lennart.borgman@HIDDEN>
Date: Mon, 28 Feb 2011 18:57:11 +0100
Message-ID: <AANLkTinUMDCEx0tWmx-hrps_kH=VQJ-gsUx4LqWRt6t5@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -3.6 (---)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)

On Mon, Feb 28, 2011 at 6:47 PM, Zeljko Vrba <zvrba.external@HIDDEN> wrote:
> On 2011-02-28 4:47 PM, Lennart Borgman wrote:
>>
>> Does not most external commands recognize paths with / in them? Which
>> external commands does not do that?
>
>>
> None of the most often used file-manipulation commands do. (See below for a
> transcript). Yes, I know that NTFS in itself allows both / and \ as path
> separators, but, AFAIK, all native (i.e., not ported from unix) command-line
> tools use / as switch.
>
> C:\Users\zvrba>rmdir ../zvrba
> Invalid switch - "zvrba".
>
> C:\Users\zvrba>mkdir ../q
> The syntax of the command is incorrect.
>
> C:\Users\zvrba>del ../zvrba
> Invalid switch - "zvrba".
>
> C:\Users\zvrba>dir ../zvrba
> Invalid switch - "zvrba".
>
> C:\Users\zvrba>copy ../zvrba/.emacs.d/init.el .
> The syntax of the command is incorrect.
>
> C:\Users\zvrba>

Are not these all built in to cmd.exe?




Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#8132: 23.1; comint shell replaces \ in paths with /
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 28 Feb 2011 18:35:02 +0000
Resent-Message-ID: <handler.8132.B8132.12989180517730 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 8132
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Zeljko Vrba <zvrba.external@HIDDEN>
Cc: 8132 <at> debbugs.gnu.org, monnier@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 8132-submit <at> debbugs.gnu.org id=B8132.12989180517730
          (code B ref 8132); Mon, 28 Feb 2011 18:35:02 +0000
Received: (at 8132) by debbugs.gnu.org; 28 Feb 2011 18:34:11 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Pu7v3-00020Y-LB
	for submit <at> debbugs.gnu.org; Mon, 28 Feb 2011 13:34:11 -0500
Received: from mtaout22.012.net.il ([80.179.55.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1Pu7v1-000203-MI
	for 8132 <at> debbugs.gnu.org; Mon, 28 Feb 2011 13:34:04 -0500
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0LHC00I00BD9HC00@HIDDEN> for
	8132 <at> debbugs.gnu.org; Mon, 28 Feb 2011 20:33:57 +0200 (IST)
Received: from HOME-C4E4A596F7 ([77.126.183.216]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0LHC00GDPBKJSMO0@HIDDEN>;
	Mon, 28 Feb 2011 20:33:56 +0200 (IST)
Date: Mon, 28 Feb 2011 20:34:04 +0200
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <4D6BB83B.20507@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83zkpgm2jn.fsf@HIDDEN>
References: <4D6A5130.1040107@HIDDEN>
	<jwvaahg6diy.fsf-monnier+emacs@HIDDEN> <4D6BB83B.20507@HIDDEN>
X-Spam-Score: -2.1 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

> Date: Mon, 28 Feb 2011 15:59:07 +0100
> From: Zeljko Vrba <zvrba.external@HIDDEN>
> Cc: 8132 <at> debbugs.gnu.org
> 
> On 2011-02-28 4:32 AM, Stefan Monnier wrote:
> >> On Windows 7 (64-bit mod), run M-x shell, and try to do any filename
> >> expansion.  All backslashes (even
> >> manually typed!) are converted to forward slashes upon tab-expansion.
> >
> > Yes, that's the expected behavior.  Could you explain why it's
> > a problem?
> >
> It is a problem because commands built in to cmd.exe (and also external 
> commands) interpret slash as a command-line switch character.  So you 
> end up with the following situation:
> 
> --> comint expanded \ to / : del ../lpeg-0.10.2/re.html
> Invalid switch - "lpeg-0.10.2".
> 
> In short, it breaks all native windows command-line tools.

Do you really need cmd.exe as your shell inside Emacs?  What cmd
features do you depend on?

If you just need an interactive shell session within Emacs, I suggest
to try eshell instead.  Its command work just fine with forward
slashes.





Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#8132: 23.1; comint shell replaces \ in paths with /
Resent-From: Zeljko Vrba <zvrba.external@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 28 Feb 2011 22:07:02 +0000
Resent-Message-ID: <handler.8132.B8132.129893076525596 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 8132
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Lennart Borgman <lennart.borgman@HIDDEN>
Cc: 8132 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
Received: via spool by 8132-submit <at> debbugs.gnu.org id=B8132.129893076525596
          (code B ref 8132); Mon, 28 Feb 2011 22:07:02 +0000
Received: (at 8132) by debbugs.gnu.org; 28 Feb 2011 22:06:05 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PuBEC-0006en-5J
	for submit <at> debbugs.gnu.org; Mon, 28 Feb 2011 17:06:04 -0500
Received: from mail102.csoft.net ([205.205.219.4])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <zvrba.external@HIDDEN>) id 1PuBEA-0006eL-Dr
	for 8132 <at> debbugs.gnu.org; Mon, 28 Feb 2011 17:06:02 -0500
Received: from mail102.csoft.net (localhost [127.0.0.1])
	by mail102.csoft.net (Postfix) with ESMTP id 98C1E3EEFDDA;
	Mon, 28 Feb 2011 17:05:56 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=csoft.net; h=message-id
	:date:from:mime-version:to:cc:subject:references:in-reply-to
	:content-type; s=sel1; bh=dg0mz/9Ar+KAzmenQDyD3GDQ9RU=; b=W5Iq3Q
	54pEZx1tJgknS9ugA056ZSGr9MljujkG0lONKyeoreEBxhgpOIJsb21HdtTMc492
	V6jyg2mEodwsuwi4hbtWOIIynwSiSxrPFtcvW3ehPniGGPviq4Sx00QQ5w9XFnok
	l9bkvd03BpI7B4ZmiHY7iIdXevfGjUuQVRn4s=
Received: from [192.168.10.100] (179.79-161-197.customer.lyse.net
	[79.161.197.179])
	(using TLSv1 with cipher DHE-RSA-CAMELLIA256-SHA (256/256 bits))
	(No client certificate requested)
	by mail102.csoft.net (Postfix) with ESMTPSA id D66C63EEFDAC;
	Mon, 28 Feb 2011 17:05:55 -0500 (EST)
Message-ID: <4D6C1C3D.1090905@HIDDEN>
Date: Mon, 28 Feb 2011 23:05:49 +0100
From: Zeljko Vrba <zvrba.external@HIDDEN>
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US;
	rv:1.9.1.9) Gecko/20100317 Thunderbird/3.0.4
MIME-Version: 1.0
References: <4D6A5130.1040107@HIDDEN>
	<jwvaahg6diy.fsf-monnier+emacs@HIDDEN> <4D6BB83B.20507@HIDDEN>
	<AANLkTim+dGjbFYpsyUsSapzF_o3P6Mi+tnNnvdk+FT2M@HIDDEN>
	<4D6BDFAA.30508@HIDDEN>
	<AANLkTinUMDCEx0tWmx-hrps_kH=VQJ-gsUx4LqWRt6t5@HIDDEN>
In-Reply-To: <AANLkTinUMDCEx0tWmx-hrps_kH=VQJ-gsUx4LqWRt6t5@HIDDEN>
Content-Type: multipart/signed; protocol="application/pkcs7-signature";
	micalg=sha1; boundary="------------ms020506040700050902010404"
X-Spam-Score: -3.2 (---)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.1 (---)

This is a cryptographically signed message in MIME format.

--------------ms020506040700050902010404
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable

On 2011-02-28 6:57 PM, Lennart Borgman wrote:
> On Mon, Feb 28, 2011 at 6:47 PM, Zeljko Vrba<zvrba.external@HIDDEN> =
 wrote:

>
> Are not these all built in to cmd.exe?
 >
That may be so, but I haven't found external equivalents for these comman=
ds.


--------------ms020506040700050902010404
Content-Type: application/pkcs7-signature; name="smime.p7s"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="smime.p7s"
Content-Description: S/MIME Cryptographic Signature
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--------------ms020506040700050902010404--




Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#8132: 23.1; comint shell replaces \ in paths with /
Resent-From: Zeljko Vrba <zvrba.external@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 28 Feb 2011 22:11:02 +0000
Resent-Message-ID: <handler.8132.B8132.129893101925946 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 8132
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 8132 <at> debbugs.gnu.org, monnier@HIDDEN
Received: via spool by 8132-submit <at> debbugs.gnu.org id=B8132.129893101925946
          (code B ref 8132); Mon, 28 Feb 2011 22:11:02 +0000
Received: (at 8132) by debbugs.gnu.org; 28 Feb 2011 22:10:19 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PuBII-0006kR-D2
	for submit <at> debbugs.gnu.org; Mon, 28 Feb 2011 17:10:18 -0500
Received: from mail102.csoft.net ([205.205.219.4])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <zvrba.external@HIDDEN>) id 1PuBIG-0006kG-LX
	for 8132 <at> debbugs.gnu.org; Mon, 28 Feb 2011 17:10:17 -0500
Received: from mail102.csoft.net (localhost [127.0.0.1])
	by mail102.csoft.net (Postfix) with ESMTP id 5881E3EF14A9;
	Mon, 28 Feb 2011 17:10:11 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=csoft.net; h=message-id
	:date:from:mime-version:to:cc:subject:references:in-reply-to
	:content-type; s=sel1; bh=ntI/Z+qrh4f1ixfkvPurYdnZzwc=; b=JEVILR
	OfVf6as4ApmN0OpX/4dCYoD3Bb6V13fMCMnxmr8IZkFlt5F0uBYU+7eawZeCirLn
	NwhPcDvUJfIqlKfPbbojvPmYO0v7yiGGEyeqSKCTbjPiHE8/VmwecOFpHEueciA/
	savyX4l0IWS5ARJtzl2TrrcD7Il6vNVNJzE8E=
Received: from [192.168.10.100] (179.79-161-197.customer.lyse.net
	[79.161.197.179])
	(using TLSv1 with cipher DHE-RSA-CAMELLIA256-SHA (256/256 bits))
	(No client certificate requested)
	by mail102.csoft.net (Postfix) with ESMTPSA id 7DB4D3EF147D;
	Mon, 28 Feb 2011 17:10:10 -0500 (EST)
Message-ID: <4D6C1D3C.1050509@HIDDEN>
Date: Mon, 28 Feb 2011 23:10:04 +0100
From: Zeljko Vrba <zvrba.external@HIDDEN>
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US;
	rv:1.9.1.9) Gecko/20100317 Thunderbird/3.0.4
MIME-Version: 1.0
References: <4D6A5130.1040107@HIDDEN>
	<jwvaahg6diy.fsf-monnier+emacs@HIDDEN>
	<4D6BB83B.20507@HIDDEN> <83zkpgm2jn.fsf@HIDDEN>
In-Reply-To: <83zkpgm2jn.fsf@HIDDEN>
Content-Type: multipart/signed; protocol="application/pkcs7-signature";
	micalg=sha1; boundary="------------ms040808070801060708010908"
X-Spam-Score: -3.0 (---)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.0 (---)

This is a cryptographically signed message in MIME format.

--------------ms040808070801060708010908
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: quoted-printable

On 2011-02-28 7:34 PM, Eli Zaretskii wrote:
>
> Do you really need cmd.exe as your shell inside Emacs?  What cmd
> features do you depend on?
>
I do not *need* cmd.exe, but I do not want to run cygwin shell either.

 >
> If you just need an interactive shell session within Emacs, I suggest
> to try eshell instead.  Its command work just fine with forward
> slashes.
>
OK, I will try that.


--------------ms040808070801060708010908
Content-Type: application/pkcs7-signature; name="smime.p7s"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="smime.p7s"
Content-Description: S/MIME Cryptographic Signature
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--------------ms040808070801060708010908--




Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#8132: 23.1; comint shell replaces \ in paths with /
Resent-From: Lennart Borgman <lennart.borgman@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 28 Feb 2011 22:33:02 +0000
Resent-Message-ID: <handler.8132.B8132.129893236427862 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 8132
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Zeljko Vrba <zvrba.external@HIDDEN>
Cc: 8132 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
Received: via spool by 8132-submit <at> debbugs.gnu.org id=B8132.129893236427862
          (code B ref 8132); Mon, 28 Feb 2011 22:33:02 +0000
Received: (at 8132) by debbugs.gnu.org; 28 Feb 2011 22:32:44 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PuBdz-0007FL-Sy
	for submit <at> debbugs.gnu.org; Mon, 28 Feb 2011 17:32:44 -0500
Received: from mail-ew0-f44.google.com ([209.85.215.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lennart.borgman@HIDDEN>) id 1PuBdx-0007F9-Dq
	for 8132 <at> debbugs.gnu.org; Mon, 28 Feb 2011 17:32:41 -0500
Received: by ewy9 with SMTP id 9so1486904ewy.3
	for <8132 <at> debbugs.gnu.org>; Mon, 28 Feb 2011 14:32:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:in-reply-to:references:from:date
	:message-id:subject:to:cc:content-type:content-transfer-encoding;
	bh=l4JD8F3BdWkJ2LO7ZMmtkECIM8nx3C/SA5libYtJezA=;
	b=W19VX6NOohRp5FAGCW0UxC9NTkVVrhBywsPVM/JIlw0nZjUFjJliSWPLPhboCG64T8
	mHpHWwwUJPYXdVv9W1+sKIiPLW7+B9zdpMxsRN8IlbdKRo1soemJvFRqIYqgzu7bhgVz
	Wj8+DvP9z7JYCIzlX2+tGL+CMpBKYeUS5Hukc=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type:content-transfer-encoding;
	b=sR49MvoTWHCVL2SCdc0A3fo7JD+n3IhgwNZGy3hshdivcVfcMYUjF25I/OpbxksDY9
	Y38BMBv4O2TjNMM/thNKbj3Z9RYwRaGhvTadeQkGQY9bd+feyD/G5Q5qFPgA8+PgvTtV
	DsV9HiQ6NdLKXDyUCvYlW9TrrbhgTCcZjCrQg=
Received: by 10.213.9.2 with SMTP id j2mr3946537ebj.68.1298932355223; Mon, 28
	Feb 2011 14:32:35 -0800 (PST)
MIME-Version: 1.0
Received: by 10.213.108.136 with HTTP; Mon, 28 Feb 2011 14:32:15 -0800 (PST)
In-Reply-To: <4D6C1C3D.1090905@HIDDEN>
References: <4D6A5130.1040107@HIDDEN>
	<jwvaahg6diy.fsf-monnier+emacs@HIDDEN> <4D6BB83B.20507@HIDDEN>
	<AANLkTim+dGjbFYpsyUsSapzF_o3P6Mi+tnNnvdk+FT2M@HIDDEN>
	<4D6BDFAA.30508@HIDDEN>
	<AANLkTinUMDCEx0tWmx-hrps_kH=VQJ-gsUx4LqWRt6t5@HIDDEN>
	<4D6C1C3D.1090905@HIDDEN>
From: Lennart Borgman <lennart.borgman@HIDDEN>
Date: Mon, 28 Feb 2011 23:32:15 +0100
Message-ID: <AANLkTimWFTn2Mn3651tzpOWjTDHYO32Bhr+sMDuppwtT@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -3.6 (---)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)

On Mon, Feb 28, 2011 at 11:05 PM, Zeljko Vrba <zvrba.external@HIDDEN> wr=
ote:
> On 2011-02-28 6:57 PM, Lennart Borgman wrote:
>>
>> On Mon, Feb 28, 2011 at 6:47 PM, Zeljko Vrba<zvrba.external@HIDDEN>
>> =C2=A0wrote:
>
>>
>> Are not these all built in to cmd.exe?
>
>>
> That may be so, but I haven't found external equivalents for these comman=
ds.

In eshell (which Eli mentioned) you have built in replacement for
those commands. Please see the eshell manual. You find this by opening
the Emacs manual (with for example C-h m, or from the help menu) and
then type "u" (for up).




Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#8132: 23.1; comint shell replaces \ in paths with /
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 28 Feb 2011 23:05:01 +0000
Resent-Message-ID: <handler.8132.B8132.129893427030511 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 8132
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: Zeljko Vrba <zvrba.external@HIDDEN>, 8132 <at> debbugs.gnu.org
Received: via spool by 8132-submit <at> debbugs.gnu.org id=B8132.129893427030511
          (code B ref 8132); Mon, 28 Feb 2011 23:05:01 +0000
Received: (at 8132) by debbugs.gnu.org; 28 Feb 2011 23:04:30 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PuC8j-0007w4-9R
	for submit <at> debbugs.gnu.org; Mon, 28 Feb 2011 18:04:29 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.183]
	helo=ironport2-out.pppoe.ca)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1PuC8h-0007vs-Ki
	for 8132 <at> debbugs.gnu.org; Mon, 28 Feb 2011 18:04:28 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AvsEACe5a01FxKsT/2dsb2JhbACmRnW7UYVhBIUSj18
X-IronPort-AV: E=Sophos;i="4.62,243,1297054800"; d="scan'208";a="93860234"
Received: from 69-196-171-19.dsl.teksavvy.com (HELO ceviche.home)
	([69.196.171.19])
	by ironport2-out.pppoe.ca with ESMTP/TLS/ADH-AES256-SHA;
	28 Feb 2011 18:04:19 -0500
Received: by ceviche.home (Postfix, from userid 20848)
	id 7141A660D6; Mon, 28 Feb 2011 18:04:19 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
Message-ID: <jwvipw33gsa.fsf-monnier+emacs@HIDDEN>
References: <4D6A5130.1040107@HIDDEN>
	<jwvaahg6diy.fsf-monnier+emacs@HIDDEN> <4D6BB83B.20507@HIDDEN>
	<83zkpgm2jn.fsf@HIDDEN>
Date: Mon, 28 Feb 2011 18:04:19 -0500
In-Reply-To: <83zkpgm2jn.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 28 Feb
	2011 20:34:04 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.1 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

>> In short, it breaks all native windows command-line tools.
> Do you really need cmd.exe as your shell inside Emacs?  What cmd
> features do you depend on?

If / doesn't work when the shell is cmd.exe and cmd.exe is the only
(external) shell available by default under Windows (or at least the
most commonly used), then shell.el should try to accomodate it somehow.
Maybe the best way is for shell.el to burp or warn the user that she
would be better served by eshell.  But maybe file completion in shell.el
should be tweaked to not turn \ into / in that case.


        Stefan




Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#8132: 23.1; comint shell replaces \ in paths with /
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 01 Mar 2011 03:56:01 +0000
Resent-Message-ID: <handler.8132.B8132.129895172328802 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 8132
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Stefan Monnier <monnier@HIDDEN>
Cc: zvrba.external@HIDDEN, 8132 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 8132-submit <at> debbugs.gnu.org id=B8132.129895172328802
          (code B ref 8132); Tue, 01 Mar 2011 03:56:01 +0000
Received: (at 8132) by debbugs.gnu.org; 1 Mar 2011 03:55:23 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PuGgF-0007UV-El
	for submit <at> debbugs.gnu.org; Mon, 28 Feb 2011 22:55:23 -0500
Received: from mtaout21.012.net.il ([80.179.55.169])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1PuGgD-0007UG-QZ
	for 8132 <at> debbugs.gnu.org; Mon, 28 Feb 2011 22:55:22 -0500
Received: from conversion-daemon.a-mtaout21.012.net.il by
	a-mtaout21.012.net.il (HyperSendmail v2007.08) id
	<0LHD004001DTZY00@HIDDEN> for
	8132 <at> debbugs.gnu.org; Tue, 01 Mar 2011 05:54:42 +0200 (IST)
Received: from HOME-C4E4A596F7 ([77.126.183.216]) by a-mtaout21.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0LHD004PB1J4W140@HIDDEN>;
	Tue, 01 Mar 2011 05:54:42 +0200 (IST)
Date: Tue, 01 Mar 2011 05:54:50 +0200
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <jwvipw33gsa.fsf-monnier+emacs@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83sjv7mr5h.fsf@HIDDEN>
References: <4D6A5130.1040107@HIDDEN>
	<jwvaahg6diy.fsf-monnier+emacs@HIDDEN>
	<4D6BB83B.20507@HIDDEN> <83zkpgm2jn.fsf@HIDDEN>
	<jwvipw33gsa.fsf-monnier+emacs@HIDDEN>
X-Spam-Score: -2.1 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: Zeljko Vrba <zvrba.external@HIDDEN>,  8132 <at> debbugs.gnu.org
> Date: Mon, 28 Feb 2011 18:04:19 -0500
> 
> Maybe the best way is for shell.el to burp or warn the user that she
> would be better served by eshell.  But maybe file completion in shell.el
> should be tweaked to not turn \ into / in that case.

It could be easier to make a wrapper around the file completion, which
would simply convert all / into \ when the result is inserted into the
shell buffer.  That's because working with / is very basic in
file-name completion, and reaches deep into the code and the
primitives it uses.




Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#8132: 23.1; comint shell replaces \ in paths with /
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 01 Mar 2011 04:49:02 +0000
Resent-Message-ID: <handler.8132.B8132.12989549163775 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 8132
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: zvrba.external@HIDDEN, 8132 <at> debbugs.gnu.org
Received: via spool by 8132-submit <at> debbugs.gnu.org id=B8132.12989549163775
          (code B ref 8132); Tue, 01 Mar 2011 04:49:02 +0000
Received: (at 8132) by debbugs.gnu.org; 1 Mar 2011 04:48:36 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PuHVk-0000yq-Gn
	for submit <at> debbugs.gnu.org; Mon, 28 Feb 2011 23:48:36 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.181]
	helo=ironport2-out.pppoe.ca)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1PuHVi-0000yf-Rp
	for 8132 <at> debbugs.gnu.org; Mon, 28 Feb 2011 23:48:35 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AvsEANcIbE1FxISA/2dsb2JhbACmSXW7IYVhBIUSj18
X-IronPort-AV: E=Sophos;i="4.62,245,1297054800"; d="scan'208";a="93889548"
Received: from 69-196-132-128.dsl.teksavvy.com (HELO ceviche.home)
	([69.196.132.128])
	by ironport2-out.pppoe.ca with ESMTP/TLS/ADH-AES256-SHA;
	28 Feb 2011 23:48:29 -0500
Received: by ceviche.home (Postfix, from userid 20848)
	id F16DD660D6; Mon, 28 Feb 2011 23:48:28 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
Message-ID: <jwvwrkj1m65.fsf-monnier+emacs@HIDDEN>
References: <4D6A5130.1040107@HIDDEN>
	<jwvaahg6diy.fsf-monnier+emacs@HIDDEN> <4D6BB83B.20507@HIDDEN>
	<83zkpgm2jn.fsf@HIDDEN> <jwvipw33gsa.fsf-monnier+emacs@HIDDEN>
	<83sjv7mr5h.fsf@HIDDEN>
Date: Mon, 28 Feb 2011 23:48:28 -0500
In-Reply-To: <83sjv7mr5h.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 01 Mar
	2011 05:54:50 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.1 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

>> Maybe the best way is for shell.el to burp or warn the user that she
>> would be better served by eshell.  But maybe file completion in shell.el
>> should be tweaked to not turn \ into / in that case.

> It could be easier to make a wrapper around the file completion, which
> would simply convert all / into \ when the result is inserted into the
> shell buffer.

Yes, that's more or less what I meant.

> That's because working with / is very basic in file-name completion,
> and reaches deep into the code and the primitives it uses.

Yes, I know ;-)


        Stefan




Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#8132: 23.1; comint shell replaces \ in paths with /
Resent-From: zvrba@HIDDEN
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 01 Mar 2011 07:33:01 +0000
Resent-Message-ID: <handler.8132.B8132.129896477423724 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 8132
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: zvrba.external@HIDDEN, 8132 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
Received: via spool by 8132-submit <at> debbugs.gnu.org id=B8132.129896477423724
          (code B ref 8132); Tue, 01 Mar 2011 07:33:01 +0000
Received: (at 8132) by debbugs.gnu.org; 1 Mar 2011 07:32:54 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PuK4k-0006Ab-77
	for submit <at> debbugs.gnu.org; Tue, 01 Mar 2011 02:32:54 -0500
Received: from mail102.csoft.net ([205.205.219.4])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <zvrba@HIDDEN>) id 1PuJfP-0005bk-Jz
	for 8132 <at> debbugs.gnu.org; Tue, 01 Mar 2011 02:06:44 -0500
Received: from mail102.csoft.net (localhost [127.0.0.1])
	by mail102.csoft.net (Postfix) with ESMTP id 4CEDD3EEFCA8;
	Tue,  1 Mar 2011 02:06:38 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=csoft.net; h=date:from:to
	:cc:subject:message-id:references:mime-version:content-type
	:in-reply-to; s=sel1; bh=dKDfKu7k1PGIVBbDBxqHGb4b4Mg=; b=Rk01X2J
	sfBcdXefKzLKho+DPQVP69vMyXvaZ3xaIuoox3ow0Bv8NLjM51eMmRaE/U+kdwqq
	8jUyBNx2wd/XZfLTyzV8ha6n9WtMc5JBzrknLxPK9IHS21p+mYea1INbqs9Q+LGb
	kpEOzbc0+FT6iPA/XzldYS68oD+l/a1wwJzw=
Received: from lilly.csoft.net (lilly.csoft.net [205.205.219.5])
	by mail102.csoft.net (Postfix) with ESMTP id F30E43EEFA2F;
	Tue,  1 Mar 2011 02:06:37 -0500 (EST)
Received: by lilly.csoft.net (Postfix, from userid 5347)
	id C36A628F85B; Tue,  1 Mar 2011 02:06:37 -0500 (EST)
Date: Tue, 1 Mar 2011 02:06:37 -0500
From: zvrba@HIDDEN
Message-ID: <20110301070637.GA86881@HIDDEN>
References: <4D6A5130.1040107@HIDDEN>
	<jwvaahg6diy.fsf-monnier+emacs@HIDDEN>
	<4D6BB83B.20507@HIDDEN> <83zkpgm2jn.fsf@HIDDEN>
	<jwvipw33gsa.fsf-monnier+emacs@HIDDEN> <83sjv7mr5h.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <83sjv7mr5h.fsf@HIDDEN>
User-Agent: Mutt/1.4.2.3i
X-Spam-Score: -2.6 (--)
X-Mailman-Approved-At: Tue, 01 Mar 2011 02:32:53 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

On Tue, Mar 01, 2011 at 05:54:50AM +0200, Eli Zaretskii wrote:
> 
> It could be easier to make a wrapper around the file completion, which
> would simply convert all / into \ when the result is inserted into the
> shell buffer.  That's because working with / is very basic in
> file-name completion, and reaches deep into the code and the
> primitives it uses.
>
I suspect that that would break switches to commands.  I.e., it would
require quite involved logic to find out that in

  dir /a ../blah

/a should not be converted to \a.  So that code would have to keep
track which strings have been autocompleted and change / to \ *only*
in those strings.

(I did not quite understand your proposal, i.e., when and which text
would the conversion be applied to, so I apologize if that's what you
suggested.)

PS: The eshell manual is mostly empty, and when I write "help", I get the
output of the cmd.exe's help.  Needless to say, eshell does not recognize
commands that are built-in to cmd.exe (copy, for example).  I had to guess
myself towards using ls and cp, but how do I then get a list of all *eshell*
builtins?

Furthermore, neither comint with cmd.exe nor eshell like interactive commands.
I have just run "sc" which prints some usage info and a prompt like this:

Would you like to see help for the QUERY and QUERYEX commands? [ y | n ]: 

In raw cmd.exe (own window, outside of emacs), when I press 'n', the programm
immediately exits (no need to press enter after n).  In eshell, nothing
happens.  The shell never returns to the prompt; pressing up/down arrows
cycles through the history, but no input is accepted until I press C-c twice. 

Incidentally, the same thing happens in M-x shell, just that after pressing
C-c twice, it becomes visible that all input had been given to the shell,
just that the buffer hadn't been flushed.  This is the output after pressing
'n ENTER' to the above prompt:

--
Would you like to see help for the QUERY and QUERYEX commands? [ y | n ]: 
n

  C-c C-c

  c:\Users\Hue\Desktop>n
  'n' is not recognized as an internal or external command,
  operable program or batch file.
--

Pressing 'n' and C-c C-c is OK, i.e., I get the prompt and no extraneous input
has been sent to the shell.

--

I have also tried to run interactive Lua interpreter through M-x shell and
I had the same issue with interactivity.. basically no input/output to/from
the interpreter has been visible in the shell window.





Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#8132: 23.1; comint shell replaces \ in paths with /
Resent-From: Michael Albinus <michael.albinus@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 01 Mar 2011 09:03:02 +0000
Resent-Message-ID: <handler.8132.B8132.12989701575066 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 8132
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: zvrba.external@HIDDEN, 8132 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
Received: via spool by 8132-submit <at> debbugs.gnu.org id=B8132.12989701575066
          (code B ref 8132); Tue, 01 Mar 2011 09:03:02 +0000
Received: (at 8132) by debbugs.gnu.org; 1 Mar 2011 09:02:37 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PuLTY-0001Jf-SE
	for submit <at> debbugs.gnu.org; Tue, 01 Mar 2011 04:02:37 -0500
Received: from mailout-de.gmx.net ([213.165.64.22])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <michael.albinus@HIDDEN>) id 1PuLTW-0001JR-7W
	for 8132 <at> debbugs.gnu.org; Tue, 01 Mar 2011 04:02:35 -0500
Received: (qmail invoked by alias); 01 Mar 2011 09:02:27 -0000
Received: from p57BB92FB.dip0.t-ipconnect.de (EHLO detlef.gmx.de)
	[87.187.146.251]
	by mail.gmx.net (mp030) with SMTP; 01 Mar 2011 10:02:27 +0100
X-Authenticated: #3708877
X-Provags-ID: V01U2FsdGVkX1+5pawNnqK5qdMQFAQauXOqYl7OClhNsbsRzwicn8
	2968JSWwXxmdcn
From: Michael Albinus <michael.albinus@HIDDEN>
References: <4D6A5130.1040107@HIDDEN>
	<jwvaahg6diy.fsf-monnier+emacs@HIDDEN> <4D6BB83B.20507@HIDDEN>
	<83zkpgm2jn.fsf@HIDDEN> <jwvipw33gsa.fsf-monnier+emacs@HIDDEN>
	<83sjv7mr5h.fsf@HIDDEN>
Date: Tue, 01 Mar 2011 10:02:23 +0100
In-Reply-To: <83sjv7mr5h.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 01 Mar
	2011 05:54:50 +0200")
Message-ID: <878vwzw6w0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Y-GMX-Trusted: 0
X-Spam-Score: -2.7 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

Eli Zaretskii <eliz@HIDDEN> writes:

> It could be easier to make a wrapper around the file completion, which
> would simply convert all / into \ when the result is inserted into the
> shell buffer.  That's because working with / is very basic in
> file-name completion, and reaches deep into the code and the
> primitives it uses.

It should respect remote file names. A conversion to \ is not helpful
for them.

Likely, it is sufficient to suppress the conversion if default-directory
is remote.

Best regards, Michael.




Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#8132: 23.1; comint shell replaces \ in paths with /
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 01 Mar 2011 18:28:02 +0000
Resent-Message-ID: <handler.8132.B8132.129900406027343 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 8132
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Michael Albinus <michael.albinus@HIDDEN>
Cc: zvrba.external@HIDDEN, 8132 <at> debbugs.gnu.org, monnier@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 8132-submit <at> debbugs.gnu.org id=B8132.129900406027343
          (code B ref 8132); Tue, 01 Mar 2011 18:28:02 +0000
Received: (at 8132) by debbugs.gnu.org; 1 Mar 2011 18:27:40 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PuUIO-00076x-Jh
	for submit <at> debbugs.gnu.org; Tue, 01 Mar 2011 13:27:40 -0500
Received: from mtaout23.012.net.il ([80.179.55.175])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1PuUIM-00076k-5p
	for 8132 <at> debbugs.gnu.org; Tue, 01 Mar 2011 13:27:38 -0500
Received: from conversion-daemon.a-mtaout23.012.net.il by
	a-mtaout23.012.net.il (HyperSendmail v2007.08) id
	<0LHE003005VVLQ00@HIDDEN> for
	8132 <at> debbugs.gnu.org; Tue, 01 Mar 2011 20:27:19 +0200 (IST)
Received: from HOME-C4E4A596F7 ([77.126.183.216]) by a-mtaout23.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0LHE003KY5XHH990@HIDDEN>;
	Tue, 01 Mar 2011 20:27:19 +0200 (IST)
Date: Tue, 01 Mar 2011 20:27:28 +0200
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <878vwzw6w0.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <831v2qzofj.fsf@HIDDEN>
References: <4D6A5130.1040107@HIDDEN>
	<jwvaahg6diy.fsf-monnier+emacs@HIDDEN>
	<4D6BB83B.20507@HIDDEN> <83zkpgm2jn.fsf@HIDDEN>
	<jwvipw33gsa.fsf-monnier+emacs@HIDDEN>
	<83sjv7mr5h.fsf@HIDDEN> <878vwzw6w0.fsf@HIDDEN>
X-Spam-Score: -1.7 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.7 (-)

> From: Michael Albinus <michael.albinus@HIDDEN>
> Cc: Stefan Monnier <monnier@HIDDEN>,  zvrba.external@HIDDEN,  8132 <at> debbugs.gnu.org
> Date: Tue, 01 Mar 2011 10:02:23 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > It could be easier to make a wrapper around the file completion, which
> > would simply convert all / into \ when the result is inserted into the
> > shell buffer.  That's because working with / is very basic in
> > file-name completion, and reaches deep into the code and the
> > primitives it uses.
> 
> It should respect remote file names. A conversion to \ is not helpful
> for them.

Sorry, I'm not following: what remote file names?  We are talking
about "M-x shell" with the stock Windows shell.  That shell doesn't
support remote file names at all.  What am I missing?

> Likely, it is sufficient to suppress the conversion if default-directory
> is remote.

How can it be, in "M-x shell"?




Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#8132: 23.1; comint shell replaces \ in paths with /
Resent-From: Michael Albinus <michael.albinus@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 02 Mar 2011 08:43:02 +0000
Resent-Message-ID: <handler.8132.B8132.12990553825481 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 8132
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: zvrba.external@HIDDEN, 8132 <at> debbugs.gnu.org, monnier@HIDDEN
Received: via spool by 8132-submit <at> debbugs.gnu.org id=B8132.12990553825481
          (code B ref 8132); Wed, 02 Mar 2011 08:43:02 +0000
Received: (at 8132) by debbugs.gnu.org; 2 Mar 2011 08:43:02 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Puhe9-0001QM-JJ
	for submit <at> debbugs.gnu.org; Wed, 02 Mar 2011 03:43:01 -0500
Received: from mailout-de.gmx.net ([213.165.64.23])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <michael.albinus@HIDDEN>) id 1Puhe7-0001Q0-4N
	for 8132 <at> debbugs.gnu.org; Wed, 02 Mar 2011 03:43:00 -0500
Received: (qmail invoked by alias); 02 Mar 2011 08:42:52 -0000
Received: from p57BB92B4.dip0.t-ipconnect.de (EHLO detlef.gmx.de)
	[87.187.146.180]
	by mail.gmx.net (mp013) with SMTP; 02 Mar 2011 09:42:52 +0100
X-Authenticated: #3708877
X-Provags-ID: V01U2FsdGVkX1/loNVAWx/lrAGLz8F+afMidhkcyI36lafxBRPveP
	Q3niZcLw9FUyp8
From: Michael Albinus <michael.albinus@HIDDEN>
References: <4D6A5130.1040107@HIDDEN>
	<jwvaahg6diy.fsf-monnier+emacs@HIDDEN> <4D6BB83B.20507@HIDDEN>
	<83zkpgm2jn.fsf@HIDDEN> <jwvipw33gsa.fsf-monnier+emacs@HIDDEN>
	<83sjv7mr5h.fsf@HIDDEN> <878vwzw6w0.fsf@HIDDEN>
	<831v2qzofj.fsf@HIDDEN>
Date: Wed, 02 Mar 2011 09:42:47 +0100
In-Reply-To: <831v2qzofj.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 01 Mar
	2011 20:27:28 +0200")
Message-ID: <87tyfl7w1k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Y-GMX-Trusted: 0
X-Spam-Score: -2.7 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Michael Albinus <michael.albinus@HIDDEN>
>> Cc: Stefan Monnier <monnier@HIDDEN>,
>> zvrba.external@HIDDEN, 8132 <at> debbugs.gnu.org
>> Date: Tue, 01 Mar 2011 10:02:23 +0100
>> 
>> Eli Zaretskii <eliz@HIDDEN> writes:
>> 
>> > It could be easier to make a wrapper around the file completion, which
>> > would simply convert all / into \ when the result is inserted into the
>> > shell buffer.  That's because working with / is very basic in
>> > file-name completion, and reaches deep into the code and the
>> > primitives it uses.
>> 
>> It should respect remote file names. A conversion to \ is not helpful
>> for them.
>
> Sorry, I'm not following: what remote file names?  We are talking
> about "M-x shell" with the stock Windows shell.  That shell doesn't
> support remote file names at all.  What am I missing?

You have the following call sequence:

shell -> make-comint-in-buffer -> comint-exec -> comint-exec-1 -> start-file-process

If default-directory is remote, start-file-process invokes Tramp.

Best regards, Michael.




Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#8132: 23.1; comint shell replaces \ in paths with /
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 02 Mar 2011 18:44:02 +0000
Resent-Message-ID: <handler.8132.B8132.12990914051443 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 8132
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Michael Albinus <michael.albinus@HIDDEN>
Cc: zvrba.external@HIDDEN, 8132 <at> debbugs.gnu.org, monnier@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 8132-submit <at> debbugs.gnu.org id=B8132.12990914051443
          (code B ref 8132); Wed, 02 Mar 2011 18:44:02 +0000
Received: (at 8132) by debbugs.gnu.org; 2 Mar 2011 18:43:25 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Pur1B-0000NE-5y
	for submit <at> debbugs.gnu.org; Wed, 02 Mar 2011 13:43:25 -0500
Received: from mtaout21.012.net.il ([80.179.55.169])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1Pur18-0000My-OK
	for 8132 <at> debbugs.gnu.org; Wed, 02 Mar 2011 13:43:23 -0500
Received: from conversion-daemon.a-mtaout21.012.net.il by
	a-mtaout21.012.net.il (HyperSendmail v2007.08) id
	<0LHG00H0018P7M00@HIDDEN> for
	8132 <at> debbugs.gnu.org; Wed, 02 Mar 2011 20:43:16 +0200 (IST)
Received: from HOME-C4E4A596F7 ([77.126.183.216]) by a-mtaout21.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0LHG00GYM1BZYX70@HIDDEN>;
	Wed, 02 Mar 2011 20:43:15 +0200 (IST)
Date: Wed, 02 Mar 2011 20:41:10 +0200
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <87tyfl7w1k.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <838vwxxt4p.fsf@HIDDEN>
References: <4D6A5130.1040107@HIDDEN>
	<jwvaahg6diy.fsf-monnier+emacs@HIDDEN>
	<4D6BB83B.20507@HIDDEN> <83zkpgm2jn.fsf@HIDDEN>
	<jwvipw33gsa.fsf-monnier+emacs@HIDDEN>
	<83sjv7mr5h.fsf@HIDDEN> <878vwzw6w0.fsf@HIDDEN>
	<831v2qzofj.fsf@HIDDEN> <87tyfl7w1k.fsf@HIDDEN>
X-Spam-Score: -2.0 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.0 (--)

> From: Michael Albinus <michael.albinus@HIDDEN>
> Cc: monnier@HIDDEN,  zvrba.external@HIDDEN,  8132 <at> debbugs.gnu.org
> Date: Wed, 02 Mar 2011 09:42:47 +0100
> 
> shell -> make-comint-in-buffer -> comint-exec -> comint-exec-1 -> start-file-process
> 
> If default-directory is remote, start-file-process invokes Tramp.

If someone uses remote default-directory with cmd.exe, they deserve
this complication.

That said, if we wrap the file completion with cmd-sensitive code, we
can easily make it cater to remote default-directories.




Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#8132: 23.1; comint shell replaces \ in paths with /
Resent-From: Michael Albinus <michael.albinus@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 03 Mar 2011 09:32:02 +0000
Resent-Message-ID: <handler.8132.B8132.129914471014667 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 8132
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: zvrba.external@HIDDEN, 8132 <at> debbugs.gnu.org, monnier@HIDDEN
Received: via spool by 8132-submit <at> debbugs.gnu.org id=B8132.129914471014667
          (code B ref 8132); Thu, 03 Mar 2011 09:32:02 +0000
Received: (at 8132) by debbugs.gnu.org; 3 Mar 2011 09:31:50 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Pv4sw-0003oW-Ft
	for submit <at> debbugs.gnu.org; Thu, 03 Mar 2011 04:31:50 -0500
Received: from mailout-de.gmx.net ([213.165.64.22])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <michael.albinus@HIDDEN>) id 1Pv4su-0003oK-HC
	for 8132 <at> debbugs.gnu.org; Thu, 03 Mar 2011 04:31:49 -0500
Received: (qmail invoked by alias); 03 Mar 2011 09:31:42 -0000
Received: from p57BB958F.dip0.t-ipconnect.de (EHLO detlef.gmx.de)
	[87.187.149.143]
	by mail.gmx.net (mp018) with SMTP; 03 Mar 2011 10:31:42 +0100
X-Authenticated: #3708877
X-Provags-ID: V01U2FsdGVkX19HFPRBdY5HEL0VDlY6W8bKYkXWWvWJ8q/3LCizNR
	wjaJLCPrafNxam
From: Michael Albinus <michael.albinus@HIDDEN>
References: <4D6A5130.1040107@HIDDEN>
	<jwvaahg6diy.fsf-monnier+emacs@HIDDEN> <4D6BB83B.20507@HIDDEN>
	<83zkpgm2jn.fsf@HIDDEN> <jwvipw33gsa.fsf-monnier+emacs@HIDDEN>
	<83sjv7mr5h.fsf@HIDDEN> <878vwzw6w0.fsf@HIDDEN>
	<831v2qzofj.fsf@HIDDEN> <87tyfl7w1k.fsf@HIDDEN>
	<838vwxxt4p.fsf@HIDDEN>
Date: Thu, 03 Mar 2011 10:31:39 +0100
In-Reply-To: <838vwxxt4p.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 02 Mar
	2011 20:41:10 +0200")
Message-ID: <87d3m88s90.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Y-GMX-Trusted: 0
X-Spam-Score: -2.7 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

Eli Zaretskii <eliz@HIDDEN> writes:

> If someone uses remote default-directory with cmd.exe, they deserve
> this complication.

But maybe it is desired? Interactively, if `default-directory' is
remote, `shell' could ask to change `explicit-shell-file-name' if it is
nil. WDYT?

> That said, if we wrap the file completion with cmd-sensitive code, we
> can easily make it cater to remote default-directories.

Yep.

Best regards, Michael.





Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.